# norootforbuild
%define	pkgname CherryPy
%define _lcpkgname cherrypy
Name:           python-cherrypy
Version:        3.1.2
Release:        2.1
Summary:        CherryPy is a pythonic, object-oriented HTTP framework
Group:          Development/Libraries
License:        Modified BSD
URL:            http://www.cherrypy.org/
Source0:        %{pkgname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq
PreReq:         %fillup_prereq
PreReq: 	python >= 2.4
BuildRequires:	python >= 2.4 python-devel
BuildRequires:  python-setuptools
Requires:	python-setuptools

%description
CherryPy is a pythonic, object-oriented HTTP framework.
CherryPy allows developers to build web applications in much the same way
they would build any other object-oriented Python program.
This results in smaller source code developed in less time. 

%prep
%setup -q -n %{pkgname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --quiet --root %{buildroot} --prefix %{_prefix}

%preun

%postun

%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt
%dir %{py_sitedir}/cherrypy
%dir %{py_sitedir}/cherrypy/lib
%dir %{py_sitedir}/cherrypy/process
%dir %{py_sitedir}/cherrypy/scaffold
%dir %{py_sitedir}/cherrypy/scaffold/static
%dir %{py_sitedir}/cherrypy/test
%dir %{py_sitedir}/cherrypy/test/static
%dir %{py_sitedir}/cherrypy/tutorial
%dir %{py_sitedir}/cherrypy/wsgiserver
%{_bindir}/cherryd
%if 0%{?suse_version} >= 1020
%{py_sitedir}/CherryPy-%{version}-py%{py_ver}.egg-info
%endif
%{py_sitedir}/cherrypy/LICENSE.txt
%{py_sitedir}/cherrypy/__init__.py*
%{py_sitedir}/cherrypy/_cpcgifs.py*
%{py_sitedir}/cherrypy/_cpchecker.py*
%{py_sitedir}/cherrypy/_cpconfig.py*
%{py_sitedir}/cherrypy/_cpdispatch.py*
%{py_sitedir}/cherrypy/_cperror.py*
%{py_sitedir}/cherrypy/_cplogging.py*
%{py_sitedir}/cherrypy/_cpmodpy.py*
%{py_sitedir}/cherrypy/_cprequest.py*
%{py_sitedir}/cherrypy/_cpserver.py*
%{py_sitedir}/cherrypy/_cpthreadinglocal.py*
%{py_sitedir}/cherrypy/_cptools.py*
%{py_sitedir}/cherrypy/_cptree.py*
%{py_sitedir}/cherrypy/_cpwsgi.py*
%{py_sitedir}/cherrypy/_cpwsgi_server.py*
%{py_sitedir}/cherrypy/cherryd
%{py_sitedir}/cherrypy/favicon.ico
%{py_sitedir}/cherrypy/lib/__init__.py*
%{py_sitedir}/cherrypy/lib/auth.py*
%{py_sitedir}/cherrypy/lib/caching.py*
%{py_sitedir}/cherrypy/lib/covercp.py*
%{py_sitedir}/cherrypy/lib/cptools.py*
%{py_sitedir}/cherrypy/lib/encoding.py*
%{py_sitedir}/cherrypy/lib/http.py*
%{py_sitedir}/cherrypy/lib/httpauth.py*
%{py_sitedir}/cherrypy/lib/profiler.py*
%{py_sitedir}/cherrypy/lib/safemime.py*
%{py_sitedir}/cherrypy/lib/sessions.py*
%{py_sitedir}/cherrypy/lib/static.py*
%{py_sitedir}/cherrypy/lib/tidy.py*
%{py_sitedir}/cherrypy/lib/wsgiapp.py*
%{py_sitedir}/cherrypy/lib/xmlrpc.py*
%{py_sitedir}/cherrypy/process/__init__.py*
%{py_sitedir}/cherrypy/process/plugins.py*
%{py_sitedir}/cherrypy/process/servers.py*
%{py_sitedir}/cherrypy/process/win32.py*
%{py_sitedir}/cherrypy/process/wspbus.py*
%{py_sitedir}/cherrypy/scaffold/__init__.py*
%{py_sitedir}/cherrypy/scaffold/example.conf
%{py_sitedir}/cherrypy/scaffold/site.conf
%{py_sitedir}/cherrypy/scaffold/static/made_with_cherrypy_small.png
%{py_sitedir}/cherrypy/test/__init__.py*
%{py_sitedir}/cherrypy/test/benchmark.py*
%{py_sitedir}/cherrypy/test/checkerdemo.py*
%{py_sitedir}/cherrypy/test/helper.py*
%{py_sitedir}/cherrypy/test/logtest.py*
%{py_sitedir}/cherrypy/test/modfcgid.py*
%{py_sitedir}/cherrypy/test/modpy.py*
%{py_sitedir}/cherrypy/test/modwsgi.py*
%{py_sitedir}/cherrypy/test/py25.py*
%{py_sitedir}/cherrypy/test/static/dirback.jpg
%{py_sitedir}/cherrypy/test/static/index.html
%{py_sitedir}/cherrypy/test/style.css
%{py_sitedir}/cherrypy/test/test.pem
%{py_sitedir}/cherrypy/test/test.py*
%{py_sitedir}/cherrypy/test/test_caching.py*
%{py_sitedir}/cherrypy/test/test_config.py*
%{py_sitedir}/cherrypy/test/test_conn.py*
%{py_sitedir}/cherrypy/test/test_core.py*
%{py_sitedir}/cherrypy/test/test_encoding.py*
%{py_sitedir}/cherrypy/test/test_etags.py*
%{py_sitedir}/cherrypy/test/test_http.py*
%{py_sitedir}/cherrypy/test/test_httpauth.py*
%{py_sitedir}/cherrypy/test/test_httplib.py*
%{py_sitedir}/cherrypy/test/test_logging.py*
%{py_sitedir}/cherrypy/test/test_misc_tools.py*
%{py_sitedir}/cherrypy/test/test_objectmapping.py*
%{py_sitedir}/cherrypy/test/test_proxy.py*
%{py_sitedir}/cherrypy/test/test_refleaks.py*
%{py_sitedir}/cherrypy/test/test_routes.py*
%{py_sitedir}/cherrypy/test/test_safe_multipart.py*
%{py_sitedir}/cherrypy/test/test_session.py*
%{py_sitedir}/cherrypy/test/test_sessionauthenticate.py*
%{py_sitedir}/cherrypy/test/test_states.py*
%{py_sitedir}/cherrypy/test/test_states_demo.py*
%{py_sitedir}/cherrypy/test/test_static.py*
%{py_sitedir}/cherrypy/test/test_tidy.py*
%{py_sitedir}/cherrypy/test/test_tools.py*
%{py_sitedir}/cherrypy/test/test_tutorials.py*
%{py_sitedir}/cherrypy/test/test_virtualhost.py*
%{py_sitedir}/cherrypy/test/test_wsgi_ns.py*
%{py_sitedir}/cherrypy/test/test_wsgi_vhost.py*
%{py_sitedir}/cherrypy/test/test_wsgiapps.py*
%{py_sitedir}/cherrypy/test/test_xmlrpc.py*
%{py_sitedir}/cherrypy/test/webtest.py*
%{py_sitedir}/cherrypy/tutorial/README.txt
%{py_sitedir}/cherrypy/tutorial/__init__.py*
%{py_sitedir}/cherrypy/tutorial/bonus-sqlobject.py*
%{py_sitedir}/cherrypy/tutorial/custom_error.html
%{py_sitedir}/cherrypy/tutorial/pdf_file.pdf
%{py_sitedir}/cherrypy/tutorial/tut01_helloworld.py*
%{py_sitedir}/cherrypy/tutorial/tut02_expose_methods.py*
%{py_sitedir}/cherrypy/tutorial/tut03_get_and_post.py*
%{py_sitedir}/cherrypy/tutorial/tut04_complex_site.py*
%{py_sitedir}/cherrypy/tutorial/tut05_derived_objects.py*
%{py_sitedir}/cherrypy/tutorial/tut06_default_method.py*
%{py_sitedir}/cherrypy/tutorial/tut07_sessions.py*
%{py_sitedir}/cherrypy/tutorial/tut08_generators_and_yield.py*
%{py_sitedir}/cherrypy/tutorial/tut09_files.py*
%{py_sitedir}/cherrypy/tutorial/tut10_http_errors.py*
%{py_sitedir}/cherrypy/tutorial/tutorial.conf
%{py_sitedir}/cherrypy/wsgiserver/__init__.py*

%changelog
* Fri Aug 21 2009 Carsten Schoene <cs@linux-administrator.com> - 3.1.2-1
- initial build
